Bug 253802 - Amarok queued track number does not fit in small green circle
Summary: Amarok queued track number does not fit in small green circle
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6-git
Platform: Fedora RPMs Linux
: NOR task (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-10-11 02:48 UTC by Paul
Modified: 2013-01-10 11:18 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7
myriam: Usability?


Attachments
Green highlights missing digits (5.50 KB, image/png)
2010-10-11 02:48 UTC, Paul
Details
Possible solution (4.56 KB, image/png)
2012-12-17 19:59 UTC, Riccardo Ferrazzo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2010-10-11 02:48:17 UTC
Created attachment 52403 [details]
Green highlights missing digits

Version:           2.3.1 (using KDE 4.4.5) 
OS:                Linux

Queueing more than a few tracks makes the green circle displaying the position of a track in the queue useless.  The queue number does not fit in the green highlighted area and is cropped to the last digit making it useless.

Reproducible: Always

Steps to Reproduce:
Queue 10 or more tracks so that the queued track number has more than one digit.

Actual Results:  
Only the last digit is displayed and a ugly cut from the second to last digit.

Expected Results:  
The entire queued track number should be displayed within a larger green highlight.
Comment 1 Ognyan Angelov 2010-12-06 20:52:35 UTC
Setup:
  Amarok 2.3.2
  KDE 4.4.5
Test Result:
  Confirm. adding less then 100 in queue is Ok. But more then 100 makes hard to read the queue number in the green dot!
Comment 2 Myriam Schweingruber 2010-12-06 21:22:49 UTC
Bump version
Comment 3 Myriam Schweingruber 2011-06-04 12:10:45 UTC
This is an automated message from the triager:

Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and test if you can still reproduce this bug?

Without feedback within a month we will close this bug as resolved.

Thank you for your understanding.
Comment 4 Paul 2011-07-01 12:31:22 UTC
The problem still exists after my upgrade to:

Amarok 2.4.1
KDE 4.6.3
Comment 5 Myriam Schweingruber 2012-11-29 11:23:24 UTC
Still valid in current git
Comment 6 Riccardo Ferrazzo 2012-12-17 19:53:59 UTC
I've tried solving the problem like in the second picture
Comment 7 Riccardo Ferrazzo 2012-12-17 19:59:09 UTC
Created attachment 75891 [details]
Possible solution

I've painted the green spot by hand scaling it based on the number to display, is this a valuable solution?
Comment 8 Myriam Schweingruber 2012-12-27 12:39:44 UTC
Notice: this bug is currently worked on, see also https://git.reviewboard.kde.org/r/107796/
Comment 9 Matěj Laitl 2013-01-10 11:18:36 UTC
Git commit 4da6e0d09942c4dc674de93c37481817ffb751dc by Matěj Laitl.
Committed on 10/01/2013 at 12:08.
Pushed by laitl into branch 'master'.

PrettyItemDelegate: fix visual overflow of the queued track indicator

This is a slightly tweaked version (visually and behaviourally) of
Riccardo Ferrazzo's patch, thanks for it!

BUGFIXES:
 * Fix queued track indicator overflow, patch by Riccardo Ferrazzo.
FIXED-IN: 2.7
REVIEW: 107796

M  +1    -0    ChangeLog
M  +0    -72   src/images/default-theme-clean.svg
M  +0    -68   src/images/default-theme.svg
M  +22   -5    src/playlist/view/listview/PrettyItemDelegate.cpp

http://commits.kde.org/amarok/4da6e0d09942c4dc674de93c37481817ffb751dc